# Running tasks

## SYNOPSIS

#include <libgearman/gearman.h>

gearman_return_t gearman_client_run_tasks(gearman_client_st *client)

Link with -lgearman

## DESCRIPTION

`gearman_client_run_tasks()` executes one or more tasks that have been added via `gearman_client_add_task()`, `gearman_client_add_task_status()` or `gearman_client_add_task_background()`.

`gearman_client_run_tasks()` can also be used with `gearman_execute()` if either non-blocking or background tasks were created with it.

## RETURN VALUE

`gearman_return_t`

If `GEARMAN_PAUSE` is returned one of the tasks has "paused" in order to give the caller an opportunity to take some actions (like read data, handle an exception, etc...). See `gearman_task_st` for more information about the state of a task.

## HOME

To find out more information please check: http://gearman.info/

See also

gearmand(8) libgearman(3)